classification
Title: Python 2.7.3 Windows MSI installer installs the VC++ 9 dlls directly to WinSxS folder
Type: behavior Stage:
Components: Installation, Windows Versions: Python 2.7
process
Status: closed Resolution: not a bug
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, freaksterrao, loewis, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2012-10-02 18:16 by freaksterrao, last changed 2015-02-19 16:12 by loewis. This issue is now closed.

Messages (3)
msg171820 - (view) Author: Ganesh R. (freaksterrao) Date: 2012-10-02 18:16
Python 2.7.3 Windows MSI installer installs the VC++ 9 dlls directly to WinSxS folder. The recommended way to distribute VC++ dlls is to either install the VC++ Redistributable as a pre-requisite or just add the dll to local folder.

Directly installing the VC++ dlls to the WinSxS is not a recommended practice and can lead to problems.

I am not sure if it even checks if the dll is present in the WinSxS folder. 

The dll shipped with Python is the RTM version. SP1 and later many security fixes were released by Microsoft. But python has not upgraded the dll.

Also many machines have VC++ already installed and of higher version. So there is a manifest file that redirects all requests to a newer version. So adding an older file is futile.
msg194081 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2013-08-01 15:42
This is not true. Installing the modules into the SxS folder using the Merge Module (msm) is also a recommended way of installing the DLLs.

I fail to see a problem in this report.
msg236221 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-02-19 16:03
Given the comments in msg194081 can we close this as "not a bug"?
History
Date User Action Args
2015-02-19 16:12:50loewissetstatus: open -> closed
resolution: not a bug
2015-02-19 16:03:43BreamoreBoysetnosy: + tim.golden, BreamoreBoy, zach.ware, steve.dower
messages: + msg236221
components: + Windows
2013-08-01 15:42:50loewissetnosy: + loewis
messages: + msg194081
2012-10-02 18:16:20freaksterraocreate